wreport::bufr::Decoder Struct Reference

## Public Member Functions

| Decoder (const std::string &buf, const char *fname, size_t offset, BufrBulletin &out)
void | read_options (const BufrCodecOptions &opts)
void | decode_sec1ed3 ()
void | decode_sec1ed4 ()
void | decode_header ()
void | decode_data ()

## Data Fields

Input | in
| Input data.
BufrBulletin & | out
size_t | expected_subsets
| Number of expected subsets (read in decode_header, used in decode_data).
bool | conf_add_undef_attrs = false
| True if undefined attributes are added to the output, else false.
unsigned | optional_section_length = 0
| Optional section length decoded from the message.
FILE * | verbose_output = nullptr
| If set, be verbose and print a trace of decoding to the given file.

The documentation for this struct was generated from the following file:

- decoder.h